<!DOCTYPE html>
<html lang="fr">
	<head>
		<title>MF - Importer des données</title>
		<meta charset='utf-8'>
		<!-- jQuery -->
		<script src="//code.jquery.com/jquery-3.1.1.min.js"></script>

		<!-- bootstrap -->
		<link rel="icon" href="img/logo.ico" />
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.1/css/bootstrap.min.css">
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.1/css/bootstrap-theme.min.css">
		
		<link rel="stylesheet" type="text/css" href="/css/styles.css">
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.1/js/bootstrap.min.js"></script>

		<!-- Code local -->
		<script src="all.js"></script>
	</head>
	<body>
		<nav class="navbar navbar-default">
			<div class="container-fluid">
				<div class="navbar-header">
					<a class="navbar-brand" href="https://mfappretsetperles.com/" target="blank"><img src="img/logo.png" style="height:115%"/></a>
				</div>
				<ul class="nav navbar-nav">
					<li class="active"><a id="importer">Importer des fichiers</a></li>
					<li><a id="stock">Stock</a></li>
					<li><a id="facture">Factures</a></li>
					<li class="dropdown" id="ddProd">
						<a class="dropdown-toggle" data-toggle="dropdown">Produits
							<span class="caret"></span></a>
						<ul class="dropdown-menu">
							<li><a id="produits">Produits</a></li>
							<li><a id="kits">Kits</a></li>
							<li><a id="coffrets">Coffrets</a></li>
						</ul>
					</li>
				</ul>
			</div>
		</nav>


		<div class="container" style="height: 100vh">
			<div class="row">
				<div class="col-sm-12">
					<!--  settings -->
					<!--
	     //////   Liste à afficher ici //////

	     <ul class="list-group">
	     <li class="list-group-item">Cras justo odio</li>
	     <li class="list-group-item">Dapibus ac facilisis in</li>
	     <li class="list-group-item">Morbi leo risus</li>
	     <li class="list-group-item">Porta ac consectetur ac</li>
	     <li class="list-group-item">Vestibulum at eros</li>
	     <li class="list-group-item">Cras justo odio</li>
	     <li class="list-group-item">Dapibus ac facilisis in</li>
	     <li class="list-group-item">Morbi leo risus</li>
	     <li class="list-group-item">Porta ac consectetur ac</li>
	     <li class="list-group-item">Vestibulum at eros</li>
	     </ul>
					-->

				</div>
				<div class="col-sm-12" id="reponse"></div>
			</div>

			<div class="col-sm-12" id="ajout"></div>
		</div>


		<!--div class="row" style="margin-top: 1em;">
	  <div class="panel panel-info" style="padding: 0px 10%">
	  <div class="panel-heading" id="reponse-header">Importer des données</div>
	  <div class="panel-body" id="reponse">

	  </div>
	  </div>
	  </div>
	  </div-->
	  <script type="text/javascript">
$(document).resize(function(){

})
$(document).ready(function(){
	console.log($(""));
	<!-- $("#mainContainer").height(100 - $(this).offset().x() + vh);-->
		/*$("#get").click(function () {
		  getUser($('#user').val(), $('#alias').val())
		  });
		  $("#post").click(function () {
		  postUser(
		  $('#user').val(),
		  $('#alias').val(),
		  $('#email').val(),
		  $('#passwd').val())});
		  $("#list").click(function () {
		  listUsers()
		  });
		  $("#login").click(function () {
		  login();
		  });
		  $("#profile").click(function () {
		  profile()
		  });*/

		var menuClick = function(text){
			document.title = "MF - " + text;
			$("#reponse-header").text(text);
			$("#reponse").empty();
			$("nav li").each(function(){
				$(this).removeClass('active');
			})
		}

	var getAjax = function(url){
		var xhttp = new XMLHttpRequest();
		xhttp.onreadystatechange = function() {
			if (this.readyState == 4 && this.status == 200) {
				document.getElementById("reponse").innerHTML = this.responseText;
			}
		};
		xhttp.open("GET", url, true);
		xhttp.overrideMimeType("text/plain");
		xhttp.send();
	}

	$("#importer").click(function(){
		<!--suppresion des formulaires -->
			document.getElementById("ajout").innerHTML ="";
		menuClick("Importer des données");
		$(this).parent().addClass('active');
		var elements = 
			'<form>' +
			'<p>Selectionnez un fichier CSV</p>' + 
			'<div>' +
			'<input type="file" id="file" accept=".csv" required/><br/>' +
			'<input type="radio" id="mag1" name="mag" value="Magasin1" checked/> MF<br/>' +
			'<input type="radio" id="mag2" name="mag" value="Magasin2"/> Creavea<br/>' +
			'<input type="radio" id="mag3" name="mag" value="Magasin3"/> Etsy<br/>' +
			'</div>' +
			'<input type="submit" value="Valider"/>' +
			'<input type="reset" value = "Annuler"/>' +
			'</form>';
		$("#reponse").append(elements);

	});

	$("#stock").click(function(){
		<!--suppresion des formulaires -->
			document.getElementById("ajout").innerHTML ="";
		menuClick("Gestion de stock");
		$(this).parent().addClass('active');
		var tableau = ' ';
		$.ajax({
			url : "/v1/produit",
			type :"GET",
			dataType:"json",
			success: function(json)
			{
				tableau+='<table id=\"table\" class="table table-dark">';
				tableau+='<th>libelle</th>';
				tableau+='<th>Poid</th>';
				tableau+='<th>Prix</th>';
				tableau+='<th>Quantite par lot</th>';
				tableau+='<th>Stock</th>';
				$("#reponse").append(tableau);


				json.forEach(function(produit){
					tableau="";

					tableau+="<tr>";
					tableau+="<td>"+produit.libelle+"</td>";
					tableau+="<td>"+produit.poidPackaging+"</td>";
					tableau+="<td>"+produit.prixPackaging+"</td>";
					tableau+="<td>"+produit.qteParArticle+"</td>";

					tableau+="<input type='hidden' id='id' value='"+produit.id_produit+"'>"
						+"<td> <input id='stock' type='text'  value=' "+produit.stock+"'>"+"</td>"
						+"<td><input type='submit' class='submitB' value='Valider' ></td>"
						+"</tr>";
					$("#table").append(tableau);




				})
				tableau+='</table>';
				$("#table").append(tableau);



				$(".submitB").click(function(event)
						{
							var stock = event.target.parentNode.parentNode.childNodes[5].childNodes[1].value;

							var id = event.target.parentNode.parentNode.childNodes[4].value;

							$.ajax({
								url:"/v1/produit/stock",
								type:"PUT",
								contentType:'application/json',
								dataType:"json",
								data:JSON.stringify(
										{
											stock:stock,
											id_produit:id,

										}),

							});

						});
			},


		});


	});


	$("#facture").click(function(){
		<!--suppresion des formulaires -->
			document.getElementById("ajout").innerHTML ="";
		menuClick("Gestion des factures");
		$(this).parent().addClass('active');

		var tableau = ' ';
		$.ajax({
			url : "/v1/commande",
			type :"GET",
			dataType:"json",
			success: function(json)
			{
				tableau+='<table class="table table-dark">';
				tableau+='<th>Email</th>';
				tableau+='<th>Id Client</th>';
				tableau+='<th>Id Commande</th>';
				tableau+='<th>Nom</th>';
				tableau+='<th>Prenom</th>';



				json.forEach(function(produit){
					tableau+='<tr class="commande">';





					tableau+='<td >'+produit.email_personne+'</td>';
					tableau+='<td>'+produit.id_client+'</td>';
					tableau+='<td>'+produit.id_commande+'</td>';
					tableau+='<td>'+produit.nom_personne+'</td>';
					tableau+='<td>'+produit.prenom_personne+'</td>';

					tableau+='</tr>';
					$("#reponse").append(tableau);
					$(".commande").click(function(){
						var idCommande = produit.id_commande;

						document.getElementById("reponse").innerHTML ="";

						$.ajax({
							url:"/v1/commande/"+idCommande,
							type :"GET",
							dataType:"json",
							success: function(json)
							{
								var reponse ="<table class=\"table\">";
								reponse+="<tr>";
								reponse +="<th> libelle </th>";
								reponse +="<th> qte </th>";
								reponse +="<th> type </th>";
								reponse+="</tr>";
								json.forEach(function(produit)
										{
											reponse +="<tr>";
											reponse +="<td>"+produit.libelle+"</td>";
											reponse +="<td>"+produit.qte+"</td>"

												reponse +="<td>"+produit.type+"</td>"

												reponse +="</tr>";

										});

								reponse+="</table>";
								$("#reponse").append(reponse);
							},

						});


						$("#reponse").append(reponse);


					});
				})
				tableau='</table>';


				$("#reponse").append(tableau);


			},


		});




	});


	$("#produits").click(function Fproduit(){
		<!-- affichage produit -->
			menuClick("Liste des produits");
		$(this).parent().addClass('active');
		$("#ddProd").addClass('active');
		var tableau = ' ';
		$.ajax({
			url : "/v1/produit",
			type :"GET",
			dataType:"json",
			success: function(json)
			{
				tableau+='<table class="table table-dark">';
				tableau+='<th>libelle</th>';

				tableau+='<th>Id Produit</th>';
				tableau+='<th>Poid</th>';
				tableau+='<th>Prix</th>';
				tableau+='<th>Quantite par lot</th>';
				tableau+='<th>ref Fournisseur</th>';



				json.forEach(function(produit){
					tableau+='<tr>';
					tableau+='<td>'+produit.libelle+'</td>';

					tableau+='<td>'+produit.id_produit+'</td>';
					tableau+='<td>'+produit.poidPackaging+'</td>';
					tableau+='<td>'+produit.prixPackaging+'</td>';
					tableau+='<td>'+produit.qteParArticle+'</td>';
					tableau+='<td>'+produit.refFourniseurArticle+'</td>';
					tableau+='<td><button class=\"sup\">Supprimer</button></td>'
						tableau+='</tr>';
				})
				tableau+='</table>';
				$("#reponse").append(tableau);
				$(".sup").click(function(event)
						{
							var id = event.target.parentNode.parentNode.childNodes[1].innerText;
							console.log(id);
							$.ajax({
								url:"/v1/produit/"+id,
								type:"DELETE",
								success:function(data)
								{
									Fproduit();
								}
							});


						});
			},


		});
		<!-- fin affichage produit-->
			<!-- post -->
			<!--fin post AJOUT -->

			<!--suppresion des formulaires -->
			document.getElementById("ajout").innerHTML ="";


		$("#ajout").append("<table class=\" row table \"><tr>");

		$("#ajout").append("<form id=\"post\">");
		$("#post").append("<td class=\"col-sm-2\"><input placeholder=\"Libelle\" type=\"text\" name=\"libelle\"> </td>");

		$("#post").append("<td class=\"col-sm-2\"><input placeholder=\"Poid\" type=\"text\" name=\"poid\"> </td> ");
		$("#post").append("<td class=\"col-sm-2\"><input placeholder=\"Prix\" type=\"text\" name=\"prix\"> </td>");
		$("#post").append("<td class=\"col-sm-2\"><input placeholder=\"Quantite\" type=\"text\" name=\"quantite\"></td> ");
		$("#post").append("<td class=\"col-sm-2\"><input placeholder=\"Fournisseur\" type=\"text\" name=\"fournisseur\"></td> ");
		$("#post").append("<td class=\"col-sm-2\"></td> ");
		$("#post").append("</tr>");
		$("#post").append("</table>");

		$("#post").append("<button class=\"col-sm-4\" id=\"ajoutB\" type=\"button\" >Valider</button></form> ");


		$('#ajoutB').click(function()
				{

					$.ajax({
						url:"/v1/produit",
						type:"POST",
						contentType:'application/json',
						dataType:"json",
						data : JSON.stringify(
								{
									libelle : document.forms["post"]["libelle"].value,
									refFourniseurArticle  : document.forms["post"]["fournisseur"].value,
									qteParArticle : document.forms["post"]["quantite"].value,
									stock : 0,
									poidPackaging : document.forms["post"]["poid"].value,
									prixPackaging : document.forms["post"]["prix"].value,

								}),
						success : function(data){
							Fproduit();

						}

					});




				});




	});

	$("#kits").click(function Fkit(){
		<!--suppresion des formulaires -->
			document.getElementById("ajout").innerHTML ="";
		menuClick("Liste des kits");
		$(this).parent().addClass('active');
		$("#ddProd").addClass('active');

		var tableau = ' ';
		$.ajax({
			url : "/v1/kit/kit",
			type :"GET",
			dataType:"json",
			success: function(json)
			{
				tableau+='<table class="table table-dark">';

				tableau+='<th>libelle</th>';
				tableau+='<th>Id Kit</th>';
				tableau+='<th>Id Personne</th>';




				json.forEach(function(produit){
					tableau+='<tr class="Dkit">';

					tableau+='<td>'+produit.libelle+'</td>';
					tableau+='<td>'+produit.id_kit+'</td>';
					tableau+='<td>'+produit.id_personne+'</td>';

					tableau+='</tr> ';
				})
				tableau+='</table>';
				$("#reponse").append(tableau);
				$(".Dkit").click(function(event){
					<!-- listage du kit lorsqu'on clique dessus -->

						document.getElementById("reponse").innerHTML ="";
					document.getElementById("ajout").innerHTML ="";
					var id = event.target.parentNode.childNodes[1].innerText;

					var tab ="<h1>Contenu :</h1><table class=\"table\">"
						+"<th>libelle</th>"
						+"<th>quantite</th>"
						+"</table>";
					$("#reponse").append(tab);

					<!-- affichage contenu kit-->
						$.ajax({
							url:"/v1/kit/"+ id,
							type:"GET",
							dataType:"json",
							success:function(json)
							{

								tab ="";
								json.forEach(function(element)
										{
											tab+="<tr>";
											tab+="<td>"+element.libelle +"</td>";
											tab+="<td><input value=\""+element.quantite +"\"> <button class=\"Mquantite\" > Modifier</button></td>";
											tab+="<input type='hidden' value='"+element.id_produit+"'>";
											tab+="</tr>";
										});

								$(".table").append(tab);
												$(".Mquantite").click(function(event)
												{			
												var idKit = id;
											var idProduit = event.target.parentNode.parentNode.childNodes[2].value;
											var quantite = event.target.parentNode.parentNode.childNodes[1];	

																							});
								 

								<!-- affichages des produits disponibles -->
									tab = "<hr><h1>Produits: </h1><table class=\"table\" id=\"aProduit\"> <th>libelle</th> <th>Poids</th> <th>Prix</th></table>";
								$("#ajout").append(tab);
								$.ajax({
									url:"/v1/produit",
									type:"GET",
									dataType:"json",
									success:function(json)
									{

										tab ="";
										json.forEach(function(element)
												{
													tab+="<tr>";
													tab+="<td> "+element.libelle+"</td>";

													tab+="<td> "+element.poidPackaging+"</td>";

													tab+="<td> "+element.prixPackaging+"</td>";
													tab+="<td><button class=\"Aproduit\">Ajouter</button></td>";
													tab+="<input type=\"hidden\" value=\""+element.id_produit+"\"> "
													tab+="</tr>";
	
												});
	
										$("#aProduit").append(tab);
										<!-- ajout d'un produit dans le kit -->
										$(".Aproduit").click(function(event)
												{
													<!-- id == id du kit -->
														var idProduit =  event.target.parentNode.parentNode.childNodes[4].value;
													
	$.ajax(
														{
															url:"/v1/kit/composant",
															type:"POST",
															contentType:'application/json',
															dataType:"json",
															data :JSON.stringify(
																	{
id_kit:id,
id_produit:idProduit,

																	}),
															success: function(data)
															{
																alert("success");
															},

				

														});
											



												});

									},

								});



							},


							});

						});
				},


			});

			$("#ajout").append("<table class=\" row table \"><tr>");

			  $("#ajout").append("<form id=\"post\">");
			  $("#post").append("<td class=\"col-sm-4\"><input placeholder=\"Libelle\" type=\"text\" name=\"libelle\"> </td>");

			  $("#post").append("<td class=\"col-sm-4\"><input placeholder=\"ID_Personne\" value=\"1\" type=\"text\" name=\"personne\"> </td>");

			  $("#post").append("<td class=\"col-sm-2\"></td> ");
			  $("#post").append("</tr>");
			  $("#post").append("</table>");

			  $("#post").append("<button class=\"col-sm-4\" id=\"ajoutB\" type=\"button\" >Valider</button></form> ");


			  $('#ajoutB').click(function()
			  {

			  $.ajax({
			  url:"/v1/kit",
			  type:"POST",
			  contentType:'application/json',
			  dataType:"json",
			  data : JSON.stringify(
			  {
			  libelle : document.forms["post"]["libelle"].value,
			  id_personne : document.forms["post"]["personne"].value,
			  }),

			  success : function(data){
			  Fkit();
			  }

			  });


			  });





			  });




			  $("#coffrets").click(function(){
				  <!--suppresion des formulaires -->
					  document.getElementById("ajout").innerHTML ="";
				  menuClick("Liste des coffrets");
				  $(this).parent().addClass('active');
				  $("#ddProd").addClass('active');


				  var tableau = ' ';
				  $.ajax({
					  url : "/v1/kit/coffret",
					  type :"GET",
					  dataType:"json",
					  success: function(json)
					  {
						  tableau+='<table class="table table-dark">';
						  tableau+='<th>Id Kit</th>';
						  tableau+='<th>Id Personne</th>';
						  tableau+='<th>libelle</th>';




						  json.forEach(function(produit){
							  tableau+='<tr>';
							  tableau+='<td>'+produit.id_kit+'</td>';
							  tableau+='<td>'+produit.id_personne+'</td>';
							  tableau+='<td>'+produit.libelle+'</td>';

							  tableau+='</tr>';
						  })
						  tableau+='</table>';
						  $("#reponse").append(tableau);
					  },


				  });




			  });

			  document.getElementById("importer").click();
	});

	  </script> 
	</body>
</html>
